{
  "scripts": {
    "$": "npm-dollar",
    "pages": "npm run $ create.pages",
    "start": "http-server"
  },
  "$": {
    "create": {
      "announcement": [
        "mkdir -p tmp",
        "$ create.sef json2xml",
        "$ create.sef xml2xhtml",
        "$ create.sef xhtml2md",
        "$ create.sef xhtml2txp",
        "mkdir -p dist/announcements",
        "node build/render-announcement.js $1 $2 $3"
      ],
      "pages": {
        "index": [
          "mkdir -p ./public/data/releases/",
          "node ./build/build-index.js"
        ],
        "lib": [
          "mkdir -p ./public/lib/",
          "cp ./node_modules/vis-timeline/standalone/umd/vis-timeline-graph2d.js* ./public/lib/"
        ]
      },
      "release": "cp -r docs/template/ data/releases/$1",
      "sef": "npx xslt3 -xsl:build/transforms/$1.xsl -export:tmp/$1.sef.json -nogo"
    }
  },
  "dependencies": {
    "npm-dollar": "^2.2.1",
    "vis-timeline": "^7.3.10"
  },
  "devDependencies": {
    "http-server": "^0.12.3",
    "xslt3": "^2.0.2"
  }
}
